# MatPrintHelp

Prints all the options for the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPrintHelp(Mat mat)

Collective on Mat

### Input Parameter

mat -the matrix

### Options Database Keys

| -help | - Prints matrix options
| -h | - Prints matrix options

### See Also

MatCreate(), MatCreateXXX()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages